#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N,M;
    cin >> N;
    cin >> M;
    if(N<3 || M<3){
        cout << N*M;
        return 0;
    }
    long long int pom1 = N*2 + M*2 - 4;
    long long int pom2 = ((N-2)*(M-2))/2;
    cout << pom1 + pom2;
    return 0;
}